@article{Wright:2004,
  title = {{The Predecessor Attack: An Analysis of a Threat to Anonymous Communications
        Systems}}, 
  author = {Matthew Wright and Micah Adler and Brian Neil Levine and Clay Shields}, 
  journal = {ACM Transactions on Information and System Security (TISSEC)}, 
  volume = {4}, 
  number = {7}, 
  year = {2004}, 
  month = {November}, 
  pages = {489--522}, 
  note = {\url{http://freehaven.net/anonbib/#Wright:2004}},
}

@inproceedings{ccs07-doa,
  title = {Denial of Service or Denial of Security? {H}ow Attacks on Reliability can
        Compromise Anonymity}, 
  author = {Nikita Borisov and George Danezis and Prateek Mittal and Parisa Tabriz}, 
  booktitle = {Proceedings of CCS 2007}, 
  year = {2007}, 
  month = {October},
  note = {\url{http://freehaven.net/anonbib/#ccs07-doa}},
}

@techreport{dingledine2011measuring,
  title = {Measuring the safety of the {Tor} network},
  author = {Roger Dingledine},
  institution = {The Tor Project},
  year = {2011},
  month = {February},
  number = {2011-02-001},
  note = {\url{https://research.torproject.org/techreports/measuring-safety-tor-network.pdf}},
}

